#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_GrowthFundData
{
	//ID
	int mID;
	//类型
	int mFundType;
	//等级
	int mLevel;
	//奖励物品ID
	std::vector<int> mItemId;
	//礼包ID
	int mGiftId;
};

class M_GrowthFund
{
public:
private:
	static std::auto_ptr<M_GrowthFund> msSingleton;
public:
	int GetCount();
	const M_GrowthFundData* GetData(int ID);
	boost::unordered_map<int, M_GrowthFundData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_GrowthFund* GetSingleton();
private:
	boost::unordered_map<int, M_GrowthFundData> mMapData;
};
